Bug 2033702 - F36FailsToInstall: python3-pwntools
Summary: F36FailsToInstall: python3-pwntools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pwntools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: W. Michael Petullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2033730
Blocks: F36FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-12-17 16:30 UTC by Miro Hrončok
Modified: 2022-01-13 01:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-06 15:48:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-12-17 16:30:13 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-pwntools) Fails To Install in Fedora 36:

can't install python3-pwntools:
  - nothing provides python3.10dist(colored-traceback) needed by python3-pwntools-4.7.0-1.fc36.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Thomas Forrer 2022-01-04 08:07:17 UTC
Hi,

it happens also to me trying to update F35:
 Problem: cannot install the best update candidate for package python3-pwntools-4.3.0-5.fc35.noarch
  - nothing provides python3.10dist(colored-traceback) needed by python3-pwntools-4.7.0-1.fc35.noarch

Comment 2 Fedora Update System 2022-01-04 17:05:03 UTC
FEDORA-2022-e3f50b7638 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3f50b7638

Comment 3 W. Michael Petullo 2022-01-04 17:05:49 UTC
This will resolve for both Rawhide and F35 once the python-colored-traceback package works its way through the publication system. See https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3f50b7638.

Comment 4 Fedora Update System 2022-01-05 01:15:02 UTC
FEDORA-2022-e3f50b7638 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-e3f50b7638 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3f50b7638

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Miro Hrončok 2022-01-06 15:48:05 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 6 Fedora Update System 2022-01-13 01:05:24 UTC
FEDORA-2022-e3f50b7638 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.